/*
	Cyannobacteria.class				Petri Dish Sim 1.0 release
	By: Jonathan Zepp - @DaJMasta
	
	Models a mobile photosynthetic organism, a set of default properties for an Advanced Organism
	
	July 30, 2015
	
	
	This code and program can be used according the the GPL v3 found here: http://www.gnu.org/licenses/gpl-3.0.en.html
	Free to modify and use in your own projects, but not for use in any commercial product.  If you use it in your project, I'd appreciate a credit as a source!
*/

package WorldSim;

public class Cyanobacteria extends AdvancedOrganism{

	Cyanobacteria(){
		name = "CYANO" ;
		id = 1 ;
		bSessile = false ;
		bCanSignal = true ;
		bPhotosynthetic = true ;
		photosyntheticEfficiency = 0.75 ;
		eatingEfficiency = 0.8 ;
		translucence = 0.6 ;
		hungerTime = 22 ;
		timeToMature = 550 ;
		reReproduce = 350 ;
		reproductionCost = 3 ;
		redNutMod = 0.5 ;
		greenNutMod = 0.5 ;
		blueNutMod = 0.5 ;
		
		initModifiers() ;
		refreshCountdowns() ;
	}
}
