/*
	Phytyplankton.class				Petri Dish Sim 1.0 release
	By: Jonathan Zepp - @DaJMasta
	
	Models a sessile, photosynthetic organism that reproduces quickly and consumes little energy, a set of default properties for an Advanced Organism
	
	July 30, 2015
	
	
	This code and program can be used according the the GPL v3 found here: http://www.gnu.org/licenses/gpl-3.0.en.html
	Free to modify and use in your own projects, but not for use in any commercial product.  If you use it in your project, I'd appreciate a credit as a source!
*/

package WorldSim;

public class Phytoplankton extends AdvancedOrganism{

	Phytoplankton(){
		name = "PHYTO" ;
		id = 1 ;
		bPhotosynthetic = true ;
		photosyntheticEfficiency = 1.0 ;
		eatingEfficiency = 0.9 ;
		translucence = 0.75 ;
		damageResistance = 1 ;
		insulationFactor = 15 ;
		timeToMature = 300 ;
		reReproduce = 300 ;
		hungerTime = 30 ;
		reproductionCost = 2 ;
		redNutMod = 0.2 ;
		greenNutMod = 0.2 ;
		blueNutMod = 0.2 ;
		
		initModifiers() ;
		refreshCountdowns() ;
	}
}
