/*
	Zooplankton.class				Petri Dish Sim 1.0 release
	By: Jonathan Zepp - @DaJMasta
	
	Models a mobile carnivorous organism, a set of default properties for an Advanced Organism
	
	July 30, 2015
	
	
	This code and program can be used according the the GPL v3 found here: http://www.gnu.org/licenses/gpl-3.0.en.html
	Free to modify and use in your own projects, but not for use in any commercial product.  If you use it in your project, I'd appreciate a credit as a source!
*/

package WorldSim;

public class Zooplankton extends AdvancedOrganism{
	
	Zooplankton(){
		name = "ZOO" ;
		id = 1 ;
		bPhotosynthetic = false ;
		bSessile = false ;
		bCanAttack = true ;
		bCanSignal = true ;
		bRepeatSignal = false ;
		eatingEfficiency = 0.85 ;
		translucence = 0.7 ;
		numBites = 3 ;
		hungerTime = 13 ;
		maxHealthPoints = 12 ;
		actionDelay = 9 ;
		
		initModifiers() ;
		refreshCountdowns() ;
	}
}
